Bug 248080 - default generation of f7desktop livecd fails - livecd-tools requires selinux enabled?
Summary: default generation of f7desktop livecd fails - livecd-tools requires selinux ...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: livecd-tools   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David Zeuthen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-13 03:25 UTC by Jane Dogalt
Modified: 2013-03-06 03:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-16 19:08:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jane Dogalt 2007-07-13 03:25:32 UTC
Description of problem:

I just ran livecd-creator for probably the first time.  I couldn't log in
to the resulting livecd.  I was trying to just generate the stock f7desktop
livecd, using the simple usage.

Before actually clicking submit on this bug, my old favorite idea hit me...

I tried booting my output livecd with selinux=0, and I could log in.

note, selinux was disabled on the host build system.

Version-Release number of selected component (if applicable):


How reproducible:

 
Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jeremy Katz 2007-07-16 19:08:42 UTC
The default config is set with SELinux enabled (see the "selinux --enforcing"
line) which requires that SELinux be enabled on the host.  Otherwise, you can't
create files with the proper contexts.  I've added a check to git so that we
raise an error early if your config specifies SELinux but you don't have it enabled


Note You need to log in before you can comment on or make changes to this bug.